Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 24 Nov 2014, 11:31
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
TahrPup 5.8.4
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 18 of 40 [597 Posts]   Goto page: Previous 1, 2, 3, ..., 16, 17, 18, 19, 20, ..., 38, 39, 40 Next
Author Message
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Thu 31 Jul 2014, 20:32    Post subject: Re: gstreamer  

666philb wrote:
with gstreamer 0.10, barry put a note in DISTRO_PKGS_SPECS-ubuntu-trusty from his quirky tahr build saying ... "#qupzilla, seamonkey, etc need this" so i left that in.

I removed built-in both gstreamer0 and gstreamer1 from the TahrPup RAM mode boot off.
The Palemoon plays Youtube without flashplayer ( and without gstreamer).

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Thu 31 Jul 2014, 20:44    Post subject: qt4  

and qt4 what for?
# grep qt4 /root/.packages/woof-installed-packages | sort -u | cut -f1 -d'|'
Code:
libqt4-dbus_4.8.5+git192-g085f851+dfsg
libqt4-declarative_4.8.5+git192-g085f851+dfsg
libqt4-network_4.8.5+git192-g085f851+dfsg
libqt4-opengl_4.8.5+git192-g085f851+dfsg
libqt4-script_4.8.5+git192-g085f851+dfsg
libqt4-sql-sqlite_4.8.5+git192-g085f851+dfsg
libqt4-sql_4.8.5+git192-g085f851+dfsg
libqt4-svg_4.8.5+git192-g085f851+dfsg
libqt4-xml_4.8.5+git192-g085f851+dfsg
libqt4-xmlpatterns_4.8.5+git192-g085f851+dfsg
libqtcore4_4.8.5+git192-g085f851+dfsg
libqtdbus4_4.8.5+git192-g085f851+dfsg
libqtgui4_4.8.5+git192-g085f851+dfsg
libqtwebkit4_2.3.2
qdbus_4.8.5+git192-g085f851+dfsg
qtcore4-l10n_4.8.5+git192-g085f851+dfsg

Or, libqtwebkit4 what for?
# grep libqtwebkit4 /root/.packages/woof-installed-packages | sort -u | cut -f1 -d'|'
Code:
libqtwebkit4_2.3.2

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Thu 31 Jul 2014, 23:34    Post subject: Re: qt4  

shinobar wrote:
and qt4 what for?

seems vlc which requires qt:
# grep -i qt /root/.packages/woof-installed-packages | sort -u | cut -f1 -d'|'
Code:
libqt4-dbus_4.8.5+git192-g085f851+dfsg
libqt4-declarative_4.8.5+git192-g085f851+dfsg
libqt4-network_4.8.5+git192-g085f851+dfsg
libqt4-opengl_4.8.5+git192-g085f851+dfsg
libqt4-script_4.8.5+git192-g085f851+dfsg
libqt4-sql-sqlite_4.8.5+git192-g085f851+dfsg
libqt4-sql_4.8.5+git192-g085f851+dfsg
libqt4-svg_4.8.5+git192-g085f851+dfsg
libqt4-xml_4.8.5+git192-g085f851+dfsg
libqt4-xmlpatterns_4.8.5+git192-g085f851+dfsg
libqtcore4_4.8.5+git192-g085f851+dfsg
libqtdbus4_4.8.5+git192-g085f851+dfsg
libqtgui4_4.8.5+git192-g085f851+dfsg
libqtwebkit4_2.3.2
qdbus_4.8.5+git192-g085f851+dfsg
qtchooser_39-g4717841-3
qtcore4-l10n_4.8.5+git192-g085f851+dfsg
vlc_2.1.4

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Fri 01 Aug 2014, 10:08    Post subject: vlc  

UPDATE: vlc-2.1.5-1-i586-tahr.pet
fix was starting from menu failed

I have built most recent vlc on the TahrPup-583, eliminating qt dependencies.
vlc-2.1.5-i586-tahr.pet
http://shino.pos.to/party/bridge.cgi?puppy/tahrpup/opt/

Needed DEVs missing in the devx_tahr-583.sfs.
I am not sure on the libxcb-xvmc0_1.10 runtime package mystery.
Code:
libxcb-composite0-dev_1.10
libxcb-xv0-dev_1.10
libxcb-xvmc0_1.10
libxcb-xvmc0-dev_1.10


configure options:
# ./configure --host=i586-linux-gnu --prefix=/usr --sysconfdir=/etc --with-x --disable-qt --disable-lua --enable-run-as-root

I made a wrapper script to make 'disable-screensaver' effective.

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html

Last edited by shinobar on Thu 28 Aug 2014, 05:55; edited 4 times in total
Back to top
View user's profile Send private message Visit poster's website 
Flash
Official Dog Handler


Joined: 04 May 2005
Posts: 11157
Location: Arizona USA

PostPosted: Fri 01 Aug 2014, 10:12    Post subject:  

FWIW, 666philb's Tahr-5.8.3 can use my brand new NetGear N900 (WNDA4100) USB wireless thingy straight out of the box. I can't say much more than that about Tahr because I was only trying out all the Puppy CDs I could, to find the ones that could use the N900. I will say that I found Tahr's general layout to be easy to use, and everything I tried seemed to work.
Back to top
View user's profile Send private message 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Fri 01 Aug 2014, 10:37    Post subject: Play Fullscreen  

ROX-right-click 'Play Fullscreen' does not support vlc.
Replace the script /usr/local/apps/mplayer/AppRun to
AppRun wrote:
#!/bin/sh
exec vlc -f "$@"
exec mplayer -fs "$@"

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
don570


Joined: 10 Mar 2010
Posts: 3379
Location: Ontario

PostPosted: Sat 02 Aug 2014, 16:44    Post subject:  

The mtpaint handbook can be downloaded and installed in tahr

http://www.murga-linux.com/puppy/viewtopic.php?t=81136
______________________________________________________

Netgear Wn 11 USB wifi stick worked in tahr
http://www.factorydirect.ca/Canada-Ontario-/Computer_Add-Ons/Networking/Usb/NE0012/WN111_Netgear_Wn111_N300_Wireless-N_Usb_Adapter_New__606449059779/0
Back to top
View user's profile Send private message 
mcewanw

Joined: 16 Aug 2007
Posts: 2348
Location: New Zealand

PostPosted: Sat 02 Aug 2014, 21:30    Post subject: Yet another new version (9.0.4) of pAVrecord uploaded.
Subject description: With avconv bugfix.
 

Yet another new version (9.0.4) of pAVrecord uploaded. Hopefully fixes the vlc/avconv related bug drawn to my attention by user Saborima who was testing previous version in tahrpup. It only effected machines using avconv (which would hang on record) rather than ffmpeg as it turns out. Download:

http://www.murga-linux.com/puppy/viewtopic.php?p=656582#656582

This pAVrecord 9.0.4 one may work correctly in tahrpup but needs comprehensive testing by tahrpup users.

William

_________________
Non enim propter gloriam, diuicias aut honores pugnamus set propter libertatem solummodo quam Nemo bonus nisi simul cum vita amittit.
Back to top
View user's profile Send private message Visit poster's website 
shinobar


Joined: 28 May 2009
Posts: 2631
Location: Japan

PostPosted: Sat 02 Aug 2014, 22:17    Post subject: UPDATE: sfs_load-2.1.9  

Download: http://shino.pos.to/linux/puppy/
Testing: sfs_load-2.1.9.pet (2014-08-03)
#v2.1.9: fix loop device conflict with irregular initramfs

_________________
Google Chrome portable
Downloads for Puppy Linux http://shino.pos.to/linux/downloads.html
Back to top
View user's profile Send private message Visit poster's website 
Tm_mT

Joined: 03 Aug 2014
Posts: 41

PostPosted: Sun 03 Aug 2014, 06:48    Post subject:  

Thanks for this puppy! It works very well on my multicore PC. Had some issues with other puppies but this one is excellent. I like how it looks and it is puppy fast.
I have been a Puppy user for years but it is usually temporary to fix a crash or while trying out other major distro' s. Having the Ubuntu repository and at the same time the speed and fun of puppy might keep me here for a bit longer Wink
Great job.
Back to top
View user's profile Send private message 
Tm_mT

Joined: 03 Aug 2014
Posts: 41

PostPosted: Sun 03 Aug 2014, 09:41    Post subject:  

some additional comments (not sure if this is tahrPup specific) :

- I really like the artwork used. Clean and consistent.
- exit screen looks great
- quickpet, nice Smile useful for new (Linux or Puppy) users
- Getflash install FlashPlayer - that was easy
- Firewall configuration was easy and I like the green shield in the taskbar


Sorry, no issues to report yet Wink

[edit : added the firewall comment]
Back to top
View user's profile Send private message 
eadmaster

Joined: 09 Feb 2013
Posts: 35

PostPosted: Sun 03 Aug 2014, 20:59    Post subject:  

any update for amd drivers?
Back to top
View user's profile Send private message Visit poster's website 
sszindian


Joined: 24 Apr 2010
Posts: 613
Location: Pennsylvania U.S.

PostPosted: Mon 04 Aug 2014, 19:50    Post subject: Tahr-5.8.3  

Testing into some of the off-wall stuff:

Installed from the PPM xscreensaver... it seems all the standard screensavers in it work as they should with the exception of the GL things (Carousel, Slideshow) Anyway the Carousel works BUT No Pictures display. We had this problem in Slacko's but 'SFR' came up with a fix there so Carousel works -

Code: (In Terminal)- su spot -c xscreensaver-demo - but this doesn't work in Tahrpup/

I've installed all the programs available for xscreensaver from the PPM so nothing is missing from there.

Any suggestions?

So far, Tahrpup is working well and no serious problems encountered to date... Your update stuff through quickpet is very nice, wish all developers would go that route!

>>>---Indian------>

_________________
Cloud Computing For Every Puppy (a .pet)
http://murga-linux.com/puppy/viewtopic.php?t=69192
Back to top
View user's profile Send private message 
Tm_mT

Joined: 03 Aug 2014
Posts: 41

PostPosted: Tue 05 Aug 2014, 13:35    Post subject:  

Tried to install NFS common from the Puppy Package Manager. Examine dependencies leads to a lot of dependency misses. After that I chose to download + install the package + dependencies and then an error message appears:
Error: packages are not available
iproute2-2.6.29-1-w5pet module-init-tools-3.16-w5c.pet
the installation has been aborted.

Any idea how to solve this? Used to Debian/Ubuntu and then usually everything is automatically downloaded and installed.

BTW... I did update the repository - that didn't work. It keeps on asking me to install the downloads local. And when I do it seems to do nothing (nothing is saved)
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1877
Location: wales

PostPosted: Wed 06 Aug 2014, 12:44    Post subject: Re: vlc  

shinobar wrote:
I have built most recent vlc on the TahrPup-583, eliminating qt dependencies.
vlc-2.1.5-i586-tahr.pet
http://shino.pos.to/party/bridge.cgi?puppy/tahrpup/opt/

Needed DEVs missing in the devx_tahr-583.sfs.
I am not sure on the libxcb-xvmc0_1.10 runtime package mystery.
Code:
libxcb-composite0-dev_1.10
libxcb-xv0-dev_1.10
libxcb-xvmc0_1.10
libxcb-xvmc0-dev_1.10


configure options:
# ./configure --host=i586-linux-gnu --prefix=/usr --sysconfdir=/etc --with-x --disable-qt --disable-lua --enable-run-as-root

I made a wrapper script to make 'disable-screensaver' effective.


hi shinobar,

i know it would save a lot of megabytes removing QT but it's at the expense of a hobbled vlc and i think tahrpup should have a fully functional & easy to use media player, either vlc or mplayer. previous pups have had gnome-mplayer but i and i expect a lot of others always ended up installing vlc as it's has less problems.
so i think the full vlc should stay. also a lot of the packages in quickpet require QT

will your disable screensaver wrapper work with the full vlc?

fixed right click play full-screen thanks
updated sfs_load thanks

update quickpet first then tahrpup bug fixes

cheers

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=96178
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642

Last edited by 666philb on Wed 06 Aug 2014, 13:07; edited 1 time in total
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 18 of 40 [597 Posts]   Goto page: Previous 1, 2, 3, ..., 16, 17, 18, 19, 20, ..., 38, 39, 40 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1018s ][ Queries: 12 (0.0087s) ][ GZIP on ]